@import url('https://fonts.googleapis.com/css2?family=Merriweather:ital,opsz,wght@0,18..144,300..900;1,18..144,300..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');
:root
{
    --bg-black-900 : #f2f2fc;
    --bg-black-100 : #fdf9ff;
    --bg-black-50 : #e8dfec;
    --text-black-900 : #302e4d;
    --text-black-700 : #5e4e70;
}

html{
    scroll-behavior: smooth;
}

body.dark {
    --bg-black-900 : #151515;
    --bg-black-100 : #222222;
    --bg-black-50 : #585858;
    --text-black-900 : #ffffff;
    --text-black-700 : #e9e9e9;
}

* {
    margin : 0;
    padding : 0;
    outline : none;
    text-decoration : none;
    box-sizing : border-box;
}

body{
    margin : 0;
    font-family: "Merriweather", serif;
    padding : 0;
    line-height : 1.5;
    font-size : 16px;
}

::before,::after {
    box-sizing : border-box;
}

.main-content {
    padding-left: 270px;
}
.section {
    background : var(--bg-black-900);
    min-height : 100vh;
    padding : 0 30px;
    display : block;
    opacity : 1;
    z-index: 0;

}

.hidden{
    display : none !important;
}
.pad-15 {
    padding-left : 15px;
    padding-right : 15px; 
}

.container {
    max-width: 1100px;
    width : 100%;
    margin :auto;
}

.row {
    display: flex;
    flex-wrap: wrap;
    margin-left: -15px;
    margin-right: -15px;
    position :relative;
}

.btn {
    font-size: 16px;
    font-weight: 500;
    padding : 12px 35px;
    background-color: var(--skin-color);
    color : white;
    border-radius: 40px;
    display: inline-block;
    white-space: nowrap;
    transition: all 0.3s ease;
    border : none;

}

.btn:hover {
    transform: scale(1.05);
}

.shadow-dark {
    box-shadow: 0 0 20px rgba(48, 46, 77, 0.5);
}

/* Sidebar */
ul{
    list-style: none;
}
.sidebar{
    width : 270px;
    height : 100%;
    padding : 30px;
    border-right: 1px solid var(--bg-black-50);
    background: var(--bg-black-100);
    position : fixed;
    left : 0;
    top : 0;
    z-index: 10;
    display : flex;
    align-items : center;
    justify-content : center;
    transition : all 0.3s ease
}


.sidebar .logo{
    position : absolute;
    top : 50px;
    font-size: 30px;
    text-transform : capitalize;
}

.sidebar .logo a{
    color : var(--text-black-900);
    font-weight : 700;
    padding : 15px 20px;
    font-size : 35px;
    letter-spacing: 5px;
    position : relative;
}


.sidebar .logo a span {
    font-family: "clicker script", cursive;
    font-family: 40px;
}

.sidebar .logo a::before{
    content : "";
    position : absolute;
    height : 20px;
    width : 20px;
    border-bottom : 5px solid var(--skin-color);
    border-left : 5px solid var(--skin-color);
    bottom : 0;
    left : 0;

}

.sidebar .logo a::after{
    content : "";
    position : absolute;
    height : 20px;
    width : 20px;
    border-top : 5px solid var(--skin-color);
    border-right : 5px solid var(--skin-color);
    top : 0;
    right : 0;

}

.sidebar .nav{
    margin-top : 50px;
}

.sidebar .nav li{
    margin-bottom : 20px;
    display: block;
}

.sidebar .nav li a{
    font-size: 1rem;
    font-weight: 600;
    padding: 5px 15px;
    color: var(--text-black-900);
    border-bottom: 1px solid var(--bg-black-900);
    
}

.sidebar .nav li a:hover {
    color : rgb(100, 100, 100);
}


.sidebar .nav li a.active{
    color: var(--skin-color)
}

.sidebar .nav li i{
    margin-right: 20px;
}

.sidebar .nav-toggle{
    height : 40px;
    width : 45px;
    border : 1px solid var(--bg-black-50);
    cursor : pointer;
    position : fixed;
    left: 300px;
    top : 20px;
    border-radius: 5px;
    background: var(--bg-black-100);
    display: none;
    justify-content: center;
    align-items: center;
    transition: all 0.3s ease;
}


.sidebar .nav-toggle span{
    height : 2px;
    width: 18px;
    background: var(--skin-color);
    display: inline-block;
    position: relative;
}

.sidebar .nav-toggle span::before{
    content:"";
    height : 2px;
    width: 18px;
    position: absolute;
    top: -6px;
    background: var(--skin-color);
    left: 0;

}

.sidebar .nav-toggle span::after{
    content:"";
    height : 2px;
    width: 18px;
    position: absolute;
    top: 6px;
    background: var(--skin-color);
    left: 0;

}

.home{
    min-height: 100vh;
    color: var(--text-black-900);
    display: flex;
}

.home .home-info{
    flex :0 0  60%;
    max-width: 60%;
}

.home .home-img{
    flex :0 0 40%;
    max-width: 40%;
    text-align: center;
    position : relative
}
.home-img::after{
    content : "";
    position : absolute;
    height : 80px;
    width : 80px;
    border-bottom : 10px solid var(--skin-color);
    border-right : 10px solid var(--skin-color);
    bottom : -40px;
    right : 20px;
}

.home-img::before{
    content : "";
    position : absolute;
    height : 80px;
    width : 80px;
    border-top : 10px solid var(--skin-color);
    border-left : 10px solid var(--skin-color);
    top : -40px;
    left : 20px;
}

.home .home-img img{
    height : 400px;
    border-radius: 8px;
}
.imago {
   flex :0 0 40%;
   max-width: 40%;
}

h3.hello {
    font-size: 28px;
    margin : 15px 0;
}

h3.hello span {
    font-size: 30px;
    color : var(--skin-color);
    font-family: "Clicker script", cursive;
    font-weight: 700;
}

h3.profession {
    margin : 15px 0;
    font-size :30px;
}

h3.profession span {
    color : var(--skin-color)
}

.home-info p{
    margin-bottom: 75px;
    font-size: 20px;
    color : var(--text-black-700);
}

.section .container {
    padding-top : 60px;
    padding-bottom : 70px;
}

.section-title {
    flex : 0 0 100%;
    max-width : 100%;
    margin-bottom: 60px;
}

.section-title h2{
    color : var(--text-black-900);
    font-size: 40px;
    font-weight: 700;
    position: relative;

}

.section-title h2::before{
    content : "";
    height : 4px;
    width : 50px;
    background : var(--skin-color);
    position : absolute;
    top : 100%;
    left : 0;
}

.section-title h2::after{
    content : "";
    height : 4px;
    width : 25px;
    background : var(--skin-color);
    position : absolute;
    top : 100%;
    left : 0;
    margin-top : 8px;
}

/* About */

.about .about-content{
    flex: 0 0 100%;
    max-width : 100%;
    
}

.about .about-content .about-text{
    flex: 0 0 100%;
    max-width: 100%;
}

.about .about-content .about-text h3 {
    font-size: 24px;
    font-weight: 700;
    margin-bottom: 15px;
    color : var(--text-black-900)
}

.about .about-content .about-text h3 span{
    color : var(--skin-color);
}

.about .about-content .about-text p {
    font-size:  16px;
    color : var(--text-black-700);
    line-height: 25px;
}

.about .about-content .personal-info{
    flex: 0 0 60%;
    max-width: 60%;
    margin-top : 40px;
}

.about .about-content .skills{
    flex: 0 0 40%;
    max-width: 40%;
    margin-top : 40px;
}

.about .about-content .personal-info .info-item {
    flex : 0 0 50%;
    max-width: 50%;
}

.about .about-content .personal-info .info-item p{
    font-weight : 700;
    font-size: 1rem;
    padding : 10px 0;
    color : var(--text-black-900);
    border-bottom: 1px solid var(--bg-black-50);
}

.about .about-content .personal-info .info-item p span {
    font-weight : 400;
    color : var(--text-black-700);
    display: inline-block;
    margin-left : 4px;

}

.about .about-content .personal-info .button {
    margin-top : 30px;
}

.about .about-content .personal-info .button .btn {
    margin-right : 15px;
    margin-top: 10px;
}

.about .about-content .skills .skill-item {
    flex : 0 0 100%;
    max-width : 100%;
    margin-bottom: 25px; 
}

.about .about-content .skills .skill-item h5 {
    font-size : 1rem;
    font-weight : 600;
    line-height: 40px;
    color : var(--text-black-900);
    text-transform : capitalize;
}

.about .about-content .skills .skill-item .progress {
    height : 7px;
    border-radius: 4px;
    width : 100%;
    background: var(--bg-black-50);
    position : relative;
}

.about .about-content .skills .skill-item .progress .progress-in {
    position : absolute;
    height : 100%;
    left : 0;
    top : 0;
    background-color: var(--skin-color);
    border-radius: 4px;
}

.about .about-content .skills .skill-item .progress .skill-percent {
    position : absolute;
    line-height : 40px;
    top : -40px;
    right : 0;
    color : var(--text-black-700);
    font-weight: 400;
}

.about .about-content .education,
.about .about-content .experience{
    margin-top : 30px;
    flex : 0 0 50%;
    max-width : 50%;
}

.about .about-content h3.title {
    font-size: 24px;
    font-weight: 800;
    margin-bottom: 30px;
    color : var(--text-black-900)
}

.about .about-content .timeline-box {
    flex : 0 0 100%;
    max-width : 100%;

}

.about .about-content .timeline-box .timeline {
    background-color: var(--bg-black-100);
    padding: 30px 15px;
    border : 1px solid var(--bg-black-50);
    border-radius: 10px;
    width : 100%;
    position :relative;
}

.about .about-content .timeline-box .timeline .timeline-item {
    position : relative;
    padding-left : 37px;
    padding-bottom : 50px 
}

.about .about-content .timeline-box .timeline .timeline-item:last-child {
    padding-bottom : 0;
}

.about .about-content .timeline-box .timeline .timeline-item::before {
    content : '';
    width : 1px;
    height : 100%;
    background: var(--skin-color);
    position : absolute;
    left : 7px;
    top : 0;
}

.about .about-content .timeline-box .timeline .circle-dot {
    position : absolute;
    width : 15px;
    height : 15px;
    background: var(--skin-color);
    border-radius: 50%;
    top : 0;
    left : 0;
}

.about .about-content .timeline-box .timeline .timeline-date {
    font-weight: 400;
    margin-bottom: 12px;
    font-size: 14px;
    color : var(--text-black-700)
}

.about .about-content  .timeline-box .timeline .timeline-date .fa{
    margin-right : 5px;
}

.about .about-content  .timeline-box .timeline .timeline-title {
    font-size: 18px;
    font-weight : 700;
    margin-bottom : 15px;
    color : var(--text-black-900);
}

.about .about-content .timeline-box .timeline .timeline-text {
    font-size: 16px;
    line-height: 25px;
    color : var(--text-black-700);
    text-align: justify;

}

/* Service section */
.service .container{
    padding-bottom: 40px;
}

.service .service-item {
    margin-bottom: 30px;
    flex : 0 0 33.33%;
    max-width : 33.33%;
}

.service .service-item .service-item-inner {
    background-color: var(--bg-black-100);
    border : 1px solid var(--bg-black-50);
    border-radius: 10px;
    text-align: center;
    padding : 30px 15px;
    transition : all 0.3s ease;
}

.service .service-item .service-item-inner:hover {
    box-shadow: 0 0 20px rgba(48, 46, 77, 0.25);
}

.service .service-item .service-item-inner .icon {
    height : 60px;
    width: 60px;
    border-radius: 50%;
    display : block;
    text-align: center;
    margin : 0 auto 28px;
    transition: all 0.3s ease;
}

.service .service-item .service-item-inner .icon .fa{
    font-size: 40px;
    line-height : 60px;
    color : var(--skin-color);
    transition: all 0.3s ease;
}

.service .service-item .service-item-inner:hover .icon {
    background-color: var(--skin-color);
}

.service .service-item .service-item-inner:hover .icon .fa {
    font-size : 25px;
    color : #ffffff;
}

.service .service-item .service-item-inner h4 {
    font-size: 18px;
    margin-bottom: 15px;
    color : var(--text-black-900);
    font-weight: 700;
    text-transform : capitalize;
}

.service .service-item .service-item-inner p {
    font-size: 14.5px;
    color : var(--text-black-700);
    line-height: 25px;
}

/* Portfolio section */

.portfolio .container {
    padding-bottom : 40px;
}

.portfolio .portfolio-heading{
    flex : 0 0 100%;
    max-width : 100%;
    margin-bottom: 40px;
}

.portfolio .portfolio-heading h2 {
    font-weight : 500;
    color : var(--text-black-900);
}

.portfolio .portfolio-item {
    flex : 0 0 33.33%;
    max-width: 33.33%;
    margin-bottom: 30px;
}

.portfolio .portfolio-item-inner {
    border : 6px solid var(--bg-black-100);
    border-radius: 10px;
    overflow : hidden;
    cursor: pointer;
}

.portfolio .portfolio-item-inner .portfolio-img img{
    width : 100%;
    display : block;
}


/* Contact */

.contact-title{
    color : var(--skin-color);
    text-align : center;
    font-size : 25px;
    margin-bottom : 20px;
}

.contact-sub-title{
    color : var(--text-black-900);
    text-align : center;
    font-size : 15px;
    margin-bottom : 60px
}

.contact .conatct-info-item {
    flex: 0 0 25%;
    max-width : 25%;
    text-align : center;
    margin-bottom : 60px;
}

.contact .conatct-info-item .icon {
    display : inline-block;
}

.contact .conatct-info-item .icon .fa {
    font-size : 25px;
    color : var(--skin-color);
}

.contact .conatct-info-item h4 {
    font-size : 18px;
    font-weight : 700;
    color : var(--text-black-900);
    text-transform: capitalize;
    margin : 15px 0 5px; 
}

.contact .conatct-info-item p{
    font-size:  16px;
    line-height : 25px;
    color : var(--text-black-700);
    font-weight : 400;
}

.contact .contact-form {
    flex: 0 0 100%;
    max-width : 100%;
}

.contact .contact-form .col-6 {
    flex: 0 0 50%;
    max-width : 50%;
}

.contact .contact-form .col-12{
    flex: 0 0 100%;
    max-width : 100%;
}

.contact .contact-form .form-item {
    margin-bottom : 30px;
}

.contact .contact-form .form-item .form-control{
    width : 100%;
    height : 50px;
    border-radius: 25px;
    background : var(--bg-black-100);
    border: 1px solid var(--bg-black-50);
    padding : 10px 25px;
    font-size : 16px;
    color : var(--text-black-700);
    transition : all 0.3s ease;
}

.contact .contact-form .form-item .form-control:focus {
    box-shadow : 0 0 20px rgba(48, 46, 77, 0.15);
}

.contact .contact-form .form-item textarea.form-control {
    height : 140px;
}

.contact .contact-form .btn {
    padding: 0 50px;
    height : 50px;
}

.contact .container .noti-div{
    position : fixed;
    bottom : 155px;
    background-color: transparent;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height : 20px;
    z-index: 150;
    margin : 10px;

}
.contact .container .noti-div.showed {
    display: none;
}
.contact .container .noti-div .notification {
    color : var(--bg-black-100);
    background-color: var(--text-black-900);
    font-size: 14px;
    font-family:Arial, Helvetica, sans-serif;
    padding : 5px 15px;
    display: inline-block;
    position: relative;
    margin :auto;
    border-radius: 15px;
    font-weight: 500;
   
}


/* Respoinsive */
@media (min-width : 1199px) {
    .contact .container .noti-div .notification{
        right : 138px;
    }
}
@media (max-width : 1199px) {
    .sidebar{
        left: -270px;

    }

    .sidebar-small{
        position : fixed;
        left : 0px;
    
    }

    .sidebar .nav-toggle{
        display : flex;
        left : 30px;
    }

    .sidebar .nav-toggle.moove {
        transform : translateX(250px);
    }

    .sidebar .nav-toggle.moove span::before{
    content:"";
    height : 2px;
    width: 18px;
    position: absolute;
    top: 0;
    transform: rotate(45deg);
    background: var(--skin-color);
    left: 0;

}

    .sidebar .nav-toggle.moove span::after{
    content:"";
    height : 2px;
    width: 18px;
    position: absolute;
    top: 0;
    transform: rotate(-45deg);
    background: var(--skin-color);
    left: 0;

}

    .sidebar .nav-toggle.moove span {
        background-color: transparent;
    }
    .main-content {
        padding-left : 0;
    }

    .about .about-content .personal-info .info-item p span {
        display : block;
    }
}

@media (max-width : 991px) {
    .contact .conatct-info-item,
    .portfolio .portfolio-item,
    .service .service-item {
        flex: 0 0 50%;
        max-width : 50%;
    }
    .imago {
        flex : 0 0 100%;
        max-width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;

    }
    .home .home-info {
        flex: 0 0 100%;
        max-width : 100%;
    }
    .home .home-img {
        flex : 0 0 100%;
        max-width : 100%;
        margin-bottom: 30px;
    }

    .home .home-img:before {
        height : 60px;
        width : 60px;
        left : 300px;
    }

    .home .home-img:after {
        height : 60px;
        width : 60px;
        right : 300px;
    }

    .home .home-img img {
        height : 300px;
    }
}

@media (max-width : 935px) {
    .home .home-img:before {
        height : 60px;
        width : 60px;
        left : 240px;
    }

    .home .home-img:after {
        height : 60px;
        width : 60px;
        right : 240px;
    }
}

@media (max-width : 767px) {
    .service .service-item,
    .contact .contact-form .col-6,
    .contact .conatct-info-item,
    .portfolio .portfolio-item,
    .about .about-content .education,
    .about .about-content .experience,
    .about .about-content .skills,
    .about .about-content .personal-info {
        flex : 0 0 100%;
        max-width: 100%;
    }

    .home .home-img{
        margin-bottom: 30px;
    }

    

    .home .home-img:before {
        height : 60px;
        width : 60px;
        top : -30px;
        left : 10px;
    }

    .home .home-img:after {
        height : 60px;
        width : 60px;
        bottom  : -30px;
        right : 10px;
    }
}

@media (max-width : 600px) {
    .home .home-img{
        margin-bottom: 30px;
    }
    .home .home-img img {
        height : 250px;
    }
    .home .home-img:before {
        height : 50px;
        width : 50px;
        top : -30px;
        left : 70px;
    }

    .home .home-img:after {
        height : 50px;
        width : 50px;
        bottom  : -30px;
        right : 70px;

    }
}

@media (max-width : 400px) {
    .home .home-img{
        margin-top: 30px;
        margin-bottom: 30px;
    }
    .home .home-img img {
        height : 230px;
    }
    .home .home-img:before {
        height : 50px;
        width : 50px;
        top : -20px;
        left : 70px;
        border-top: 6px solid var(--skin-color);
        border-left: 6px solid var(--skin-color);
    }

    .home .home-img:after {
        height : 50px;
        width : 50px;
        bottom  : -15px;
        right : 70px;
        border-right: 6px solid var(--skin-color);
        border-bottom: 6px solid var(--skin-color);
    }

}